// (C)2007 Attila Kovacs <attila@submm.caltech.edu>

public class DisplayUnit implements Cloneable {

    String name = "";
    double value = 1.0;

    public DisplayUnit() {}

    public DisplayUnit(double setValue, String setName) { value = setValue; name = setName; }
    
    public Object clone() {
    	try { return super.clone(); }
    	catch(CloneNotSupportedException e) { return null; }    	
    }
}
